## org.apache.mahout.classifier.sgd
Interface RecordFactory

All Known Implementing Classes:
  CsvRecordFactory

    public interface RecordFactory

A record factor understands how to convert a line of data into fields and then into a vector.

Method Summary
`void` `defineTargetCategories(List<String> values)`
`void` `firstLine(String line)`
`Iterable<String>` `getPredictors()`
`List<String>` `getTargetCategories()`
`Map<String,Set<Integer>>` `getTraceDictionary()`
`RecordFactory` `includeBiasTerm(boolean useBias)`
`RecordFactory` `maxTargetValue(int max)`
`int` `processLine(String line, Vector featureVector)`
`boolean` `usesFirstLineAsSchema()`

Method Detail

### defineTargetCategories

    void defineTargetCategories(List<String> values)

### maxTargetValue

    RecordFactory maxTargetValue(int max)

### usesFirstLineAsSchema

    boolean usesFirstLineAsSchema()

### processLine

    int processLine(String line,
                    Vector featureVector)

### getPredictors

    Iterable<String> getPredictors()

### getTraceDictionary

    Map<String,Set<Integer>> getTraceDictionary()

### includeBiasTerm

    RecordFactory includeBiasTerm(boolean useBias)

### getTargetCategories

    List<String> getTargetCategories()

### firstLine

    void firstLine(String line)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.